setInputFunction("gameinput");


-- во избежание вызовов неопределённых функций
function gameinput()
end
function SheetSwitched(nCount)
end;
function SelectRandom()
end

g_jumptime=0.3        -- время затемнения/растемнения при переходах
hintEmiter = "HINT_FTW"    -- имя эммитера-подсказки
hintTime = 3        -- время работы подсказки

STATE = 1          -- это значит, что мы зашли в игру (а "0" в menu.lua)
reward = false        -- переменная, которая хранит имя объекта-награды на хиддене
timerID = 21122012      -- айдишник таймера; используется всюду
hintReady = true      -- если "труе", то можем использовать подсказку

flags.startgame=true

dofile("script\\gamemenu.lua");
dofile("script\\lib.lua");
dofile("script\\sound.lua");
-- dofile("script\\core.lua"); -- грузится в меню.луа
dofile("data\\0\\global_inventary.lua");
dofile("data\\0\\global_res.lua");
dofile("data\\0\\neighbors.lua");
dofile("script\\journal.lua");
  
AddGlobalFade(9090,0);


function CheckHint()
    if flags.hintframe==nil then
      hintReady = true  
    else
      if flags.hintframe~=0   then
        StartAnimation(7000019,flags.hintframe,9)
        hintReady = false
      else
        hintReady = true
      end;
    end;
end;

function frame0finish()
  flags.hintframe=1
end;

function frame1finish()
  flags.hintframe=2
end;
function frame2finish()
  flags.hintframe=3
end;
function frame3finish()
  flags.hintframe=4
end;
function frame4finish()
  flags.hintframe=5
end;
function frame5finish()
  flags.hintframe=6
end;
function frame6finish()
  flags.hintframe=7
end;
function frame7finish()
  flags.hintframe=8
end;
function frame8finish()
  flags.hintframe=9
end;

LoadGame();
if StandartMode~=nil then
flags.StandartMode=StandartMode
StandartMode=nil
end;
if AdvancedMode~=nil then
flags.AdvancedMode=AdvancedMode
AdvancedMode=nil
end;
if flags.StandartMode then
skipTime = 60        -- время, за которое набирается скип
end;
if flags.AdvancedMode then
skipTime = 300        -- время, за которое набирается скип
end;
function ADDHINT()    -- этой функцией добавляем глаз в область подсказки, когда нашли медальон
  SetCurrentRM("menu");
  --    messagebox(tostring(flags.StandartMode)..tostring(flags.AdvancedMode))
    if flags.StandartMode then
    hinttime = 60        -- время, за которое набирается скип
    end;
    if flags.AdvancedMode then
    hinttime = 300        -- время, за которое набирается скип
    end;
    hp={0,0,1,0,1,1,0,1}
    CreatePolygon(8000019,4,"hp")
    add_animation(7000019)
    
    add_animation_frame(7000019,"undefined",873,624,  0,0,151,144,0.1);
    AddFrameFunc(7000019, "frame0finish");
    add_animation_frame(7000019,"undefined",873,624,151,0,151,144,0.1);
    AddFrameFunc(7000019, "frame1finish");
    add_animation_frame(7000019,"undefined",873,624,151*2,0,151,144,0.1);
    AddFrameFunc(7000019, "frame2finish");
    add_animation_frame(7000019,"undefined",873,624,151*3,0,151,144,0.1);
    AddFrameFunc(7000019, "frame3finish");
    add_animation_frame(7000019,"undefined",873,624,151*4,0,151,144,0.1);
    AddFrameFunc(7000019, "frame4finish");
    add_animation_frame(7000019,"undefined",873,624,151*5,0,151,144,hinttime/4);
    AddFrameFunc(7000019, "frame5finish");
    add_animation_frame(7000019,"undefined",873,624,151*4,0,151,144,hinttime/4);
    AddFrameFunc(7000019, "frame6finish");
    add_animation_frame(7000019,"undefined",873,624,151*3,0,151,144,hinttime/4);
    AddFrameFunc(7000019, "frame7finish");
    add_animation_frame(7000019,"undefined",873,624,151*2,0,151,144,hinttime/4);
    AddFrameFunc(7000019, "frame8finish");
  --  add_animation_frame(7000019,"undefined",873,624,151,0,151,144,hinttime/5);
  add_animation_frame(7000019,"undefined",873,624,0,0,151,144,0);
    
    AddFrameFunc(7000019, "EndHintAnim");
    AddImgToBook("uzor",869,625,true)
    AddAnimeToWnd1(7000019,8,-2,138,186,true)
    eye_id=AddButtonToWnd1("s","eye",30,32,65,64,false)
    SetOwnPositionFlag(eye_id,true);
    AddButtonToWnd1("s","uzor",0,0,124,124,false)  
    dofile("script\\glaz.lua");
  SetCurrentRM("main");
end
if flags.ShkatCompl then  -- а если подсказки еще нет, то вместо глаза добавляем блестящую бляху
  ADDHINT()
else
  SetCurrentRM("menu");
    AddButtonToBook(7000232,nil,"netglaza",nil,nil,nil,870,5,102,128,false)
  SetCurrentRM("main");
end;


